export type LogLevel = "debug" | "info" | "warn" | "error" | "none";
export declare function setLogLevel(level: LogLevel): void;
export declare function getLogLevel(): LogLevel;
export declare function registerWasmSetLogLevel(fn: (level: number) => void): void;
export declare class Logger {
    private namespace;
    constructor(namespace?: string);
    private log;
    debug(event: string, ...rest: unknown[]): void;
    info(event: string, ...rest: unknown[]): void;
    warn(event: string, ...rest: unknown[]): void;
    error(event: string, ...rest: unknown[]): void;
    child(namespace: string): Logger;
    timer(event: string, metadata?: Record<string, unknown>, level?: LogLevel): (finishMetadata?: Record<string, unknown>) => void;
}
export declare const logger: Logger;
